osg::CastAndScaleToFloatOperation Struct Reference

`#include <ImageUtils>`

## Public Member Functions

float | cast (char v)
float | cast (unsigned char v)
float | cast (short v)
float | cast (unsigned short v)
float | cast (int v)
float | cast (unsigned int v)
float | cast (float v)
float | cast (double v)

## Detailed Description

Convenience method for making it easy to cast all pixel channels types to a unit float RGBA form.

## Member Function Documentation

## cast() [1/8]

float osg::CastAndScaleToFloatOperation::cast | ( | char | v | ) |

inline

## cast() [2/8]

float osg::CastAndScaleToFloatOperation::cast | ( | double | v | ) |

inline

## cast() [3/8]

float osg::CastAndScaleToFloatOperation::cast | ( | float | v | ) |

inline

## cast() [4/8]

float osg::CastAndScaleToFloatOperation::cast | ( | int | v | ) |

inline

## cast() [5/8]

float osg::CastAndScaleToFloatOperation::cast | ( | short | v | ) |

inline

## cast() [6/8]

float osg::CastAndScaleToFloatOperation::cast | ( | unsigned char | v | ) |

inline

## cast() [7/8]

float osg::CastAndScaleToFloatOperation::cast | ( | unsigned int | v | ) |

inline

## cast() [8/8]

float osg::CastAndScaleToFloatOperation::cast | ( | unsigned short | v | ) |

inline

The documentation for this struct was generated from the following file:

- ImageUtils